"Plug 'neoclide/coc.nvim', { 'branch': 'release' }

Plug 'SirVer/ultisnips', { 'tag': '3.2' }
let g:UltiSnipsSnippetDirectories = [ 'UltiSnips', 'snips' ]

Plug 'lifepillar/pgsql.vim', { 'for': [ 'sql' ] }
let g:sql_type_default = 'pgsql'

Plug 'dense-analysis/ale', {
    \ 'tag': 'v3.3.0',
    \ 'for': [
    \   'bash',
    \   'css',
    \   'dockerfile',
    \   'go',
    \   'graphql',
    \   'html',
    \   'javascript',
    \   'json',
    \   'less',
    \   'make',
    \   'markdown',
    \   'php',
    \   'python',
    \   'ruby',
    \   'rust',
    \   'scss',
    \   'sh',
    \   'sql',
    \   'tcl',
    \   'toml',
    \   'typescript',
    \   'vim',
    \   'vue',
    \   'xml',
    \   'yaml'
    \ ]
\ }


Plug 'prettier/vim-prettier', {
    \ 'branch': 'release/1.x',
    \ 'do': 'npm install',
    \ 'for': [
    \   'css',
    \   'graphql',
    \   'html',
    \   'javascript',
    \   'json',
    \   'less',
    \   'markdown',
    \   'package',
    \   'php',
    \   'pug',
    \   'python',
    \   'ruby',
    \   'scss',
    \   'sh',
    \   'swift',
    \   'toml',
    \   'typescript',
    \   'vue',
    \   'xml',
    \   'yaml'
    \ ]
\ }
